Subject: Re: [PATCH v2 3/5] of-bindings: Add binding documentation for SPI busses and devices

From: Segher Boessenkool <[email-masked]>
Date: Sat, 5 Jul 2008 01:36:58 +0200

> +    The SPI master node requires the following properties:
> +    - #address-cells  - number of cells required to define a chip 
> select
> +			address on the SPI bus.

Hrm.  Should this (and "reg" in the child node) be required for SPI
masters that have only one chip select?

> +    - max-speed       - (required) Maximum SPI clocking speed of 
> device in Hz

The property name should include something "SPI", it's way too generic
otherwise.

> +    - spi,cpol        - (optional) Device requires inverse clock 
> polarity
> +    - spi,cpha        - (optional) Device requires shifted clock phase

Don't abbr the property names, there's nothing wrong with longer names.
The names shouldn't start with "spi," either, "spi" isn't a vendor;
how about "spi-inverse-clock-polarity" or similar?

> +    - linux,modalias  - (optional, Linux specific) Force binding of 
> SPI device
> +			to a particular spi_device driver.  Useful for changing
> +			driver binding between spidev and a kernel SPI driver.

This is a temporary workaround I hope?

Segher